## packages
library("aylmer")
library("partitions")


## iqd data
data("iqd")
jj <- aylmer.test(iqd)
jj

jj1 <- aylmer.test(iqd, alternative=function(x){x[1,1]})
jj1

## shifts
shifts
aylmer.test(shifts)

fisher.test(shifts[-1,  ])$p.value
fisher.test(shifts[  ,-3])$p.value


## icons data
set.seed(0)
data("icons")
good(icons)

iconstats <- aylmer.test(icons, simulate.p.value = TRUE)
iconstats


## purum data
data("purum")
set.seed(1)
rP <- randomprobs(purum, B = 800)
g <- function(x) max(abs(x-t(x)),na.rm=TRUE)

set.seed(1)
jj7 <- aylmer.test(purum, alternative = g,
  simulate.p.value = TRUE, B = 2000)
jj7

plot(rP, xlab="index", ylab="log(Prob)", type="o", pch=16, cex=0.4, axes=FALSE)
axis(side=1,pos=min(rP)-1)
axis(side=2,pos= -20)
val <-  -175.5185
segments(x0=0,x1=800,y0=val,y1=val,col="gray",lwd=2)
points(x = 1, y=rP[1],pch=16,cex=1.5)
text(x = 1, y=rP[1],"observation",pos=4)


## frogs data
data("frogs")
frogResults <- aylmer.test(frogs, simulate.p.value = TRUE, B = 2000)
frogResults
frogs.matrix


## gear data
data("gear")
aylmer.test(gear)

jj <- aylmer.test(gear, alternative = "less")$p.value
jj <- round(jj*1e8)/1e3
